package com.redhat.thermostat.tools.eclipse.plugin;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.jar.Attributes;
import java.util.jar.JarInputStream;

import com.redhat.thermostat.tools.eclipse.plugin.model.Bundle;

public class BundleInformationExtractor {

    public Bundle extract(String path) throws FileNotFoundException, IOException {

        try (JarInputStream in = new JarInputStream(new FileInputStream(path))) {
            Attributes attr = in.getManifest().getMainAttributes();
            String name = attr.getValue("Bundle-SymbolicName"); //$NON-NLS-1$
            String version = attr.getValue("Bundle-Version"); //$NON-NLS-1$

            return new Bundle(name, version);
        }
    }

}
